%define realname Catalyst-Plugin-Session
%define name	perl-%{realname}
%define	modprefix Catalyst

%define version	0.19
%define release	%mkrel 3

Summary:	Generic Session plugin for Catalyst
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{realname}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:	perl(Catalyst) >= 5.49
BuildRequires:	perl(Digest)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Object::Signature)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::MockObject) >= 1.01
BuildRequires:	perl(Test::More)
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Session plugin is the base of two related parts of functionality required
for session management in web applications. The first part, the State, is
getting the browser to repeat back a session key, so that the web
application can identify the client and logically string several requests
together into a session. The second part, the Store, deals with the actual
storage of information about the client. This data is stored so that the it
may be revived for every request made by the same client. This plugin links
the two pieces together.

%prep
%setup -q -n %{realname}-%{version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/%{modprefix}
%{_mandir}/*/*

%clean
rm -rf %{buildroot}





%changelog
* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.19-3mdv2009.0
+ Revision: 255562
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdv2008.1
+ Revision: 97372
- update to new version 0.19

* Wed Aug 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2008.0
+ Revision: 69205
- update to new version 0.18

* Fri Jul 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.17-1mdv2008.0
+ Revision: 56247
- update to new version 0.17

* Mon Jul 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdv2008.0
+ Revision: 47029
- update to new version 0.15

* Sun Apr 29 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.13-1mdv2008.0
+ Revision: 19303
- New version


* Thu Aug 10 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-10 19:29:01 (55447)
- Version 0.11

* Thu Aug 10 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-10 19:25:53 (55444)
- import perl-Catalyst-Plugin-Session-0.10-1mdv2007.0

* Wed Aug 02 2006 Scott karns <scottk@mandriva.org> 0.10-1mdv2007.0
- 0.10

* Thu May 04 2006 Scott karns <scottk@mandriva.org> 0.05-2mdk
- Adjusted BuildRequires

* Tue Jan 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.05-1mdk
- 0.05

* Fri Dec 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.02-1mdk
- Initial MDV RPM

